FROM registry.yaltik.net/odoocmd:yaltik
LABEL maintainer="Yaltik - Fabien Bourgeois <fabien@yaltik.com>"

ENV ODOO_ADMIN_PASSWORD="admin" ODOO_DATABASES="demo"

USER root
RUN apt-get update && \
      apt-get install -y --no-install-recommends cron gettext-base curl && \
      apt-get clean && rm -rf /var/lib/apt/lists/*

USER odoo

COPY crontab /home/odoo/
COPY backup.template /home/odoo/
COPY hc.template /home/odoo/
COPY plan.py /home/odoo/
COPY launch.sh /home/odoo/

RUN mkdir -p backups
# Avoid overlayfs bug with tail
VOLUME /var/log
VOLUME /home/odoo/backups

USER root
CMD ["bash", "launch.sh"]
